View Issue Details

IDProjectCategoryView StatusLast Update
0001498SymmetricDSBugpublic2014-02-02 20:53
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.0 
Target Version3.5.13Fixed in Version3.5.13 
Summary0001498: Table reload broken on Sybase ASA 9
DescriptionThe reload-table subcommand of symadmin does not work on version 9 of Sybase SQL Anywhere:

symadmin reload-table mytable

Users report errors such as Connection Refused and a metadata error:

JZ0SJ: Metadata accessor information was not found on this database. Please install the required tables as mentioned in the jConnect documentation.

The issue appears to be with using the "get generated keys" when running an insert statement in JDBC. The driver is sending both the insert statement and the "select @@Identity" statement together. We might be able to turn of the "get generated keys" support from the SqlAnywhereJdbcSqlTemplate.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master fa939299

2013-12-23 16:25:56

erilong

Details Diff
0001498: fix reload-table and other insert statements with "get generated keys" on SQL Anywhere 9
0001498
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/sqlanywhere/SqlAnywhereJdbcSqlTemplate.java Diff File

Issue History

Date Modified Username Field Change
2013-12-23 16:24 elong New Issue
2013-12-23 16:24 elong Status new => assigned
2013-12-23 16:24 elong Assigned To => elong
2013-12-23 19:12 chenson Target Version => 3.5.13
2014-01-06 13:04 chenson Status assigned => resolved
2014-01-06 13:04 chenson Fixed in Version => 3.5.13
2014-01-06 13:04 chenson Resolution open => fixed
2014-01-06 13:04 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7821
2015-07-30 21:49 Changeset attached => SymmetricDS master fa939299